' --------------------------------------------------------------------------------------
'
' HelloMain.VB                                                    Ulrich Mller 08.06.05
'                                                                 PCS1700   VB.NET Final
' Kleines Beispiel zur Nutzung von umFish40.DLL / FtLib.LIB
' ROBO Interface am ersten USB-Port. Mit Taster an I1 und Motor/Lampe an M1
'
' --------------------------------------------------------------------------------------

Imports cs = System.Console
Imports um = HelloVBNETRobo.umFish40VBNET

Module HelloMain

	Sub Main()
    Dim i%, iHandle%
    cs.WriteLine("--- Hello VB.NET gestartet ---")
      iHandle = um.rbOpenInterfaceUSB(IFTypen.ftROBO_first_USB, 0)
      If iHandle = um.rbFehler Then
        cs.WriteLine("Da stimmt was nicht : ENDE (Return-Taste)")
        Return
      End If
      cs.WriteLine("Interface : " & um.rbGetActDeviceType(iHandle) & " / " _
      & um.rbGetActDeviceSerialNr(iHandle))
      cs.WriteLine("mit Firmware : " & um.rbGetActDeviceFirmwareNr(iHandle).ToString("X"))
      cs.WriteLine("IN ACTION : Start I1 drcken")
      While um.rbGetInput(iHandle, 1) = 0
        um.Sleep(123)
      End While
      For i = 1 To 5
        cs.WriteLine("Blinker : " & i)
        um.rbSetMotor(iHandle, 1, 1)
        um.Sleep(333)
        um.rbSetMotor(iHandle, 1, 0)
        um.Sleep(333)
      Next
      um.rbCloseInterface(iHandle)
      cs.WriteLine("--- Hello VB.NET beendet (Return-Taste) ---")
      cs.Read()
  End Sub

End Module
